package com.ynet.life.platform.action;

import com.ynet.gene.core.Context;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.message.MessageFormatter;

/* loaded from: com_ynet_life_platform_action.jar:com/ynet/life/platform/action/SendSMSMessageAction.class */
public class SendSMSMessageAction extends LifeAction {
    private String typeField;
    private String businessCode;
    private String resultMessageField;

    public String getTypeField() {
        return this.typeField;
    }

    public void setTypeField(String typeField) {
        this.typeField = typeField;
    }

    public String getBusinessCode() {
        return this.businessCode;
    }

    public void setBusinessCode(String businessCode) {
        this.businessCode = businessCode;
    }

    public String getResultMessageField() {
        return this.resultMessageField;
    }

    public void setResultMessageField(String resultMessageField) {
        this.resultMessageField = resultMessageField;
    }

    public String execute(Context context) throws TranFailException {
        try {
            getMessage(context);
            return "0";
        } catch (TranFailException e) {
            System.out.println(e.getErrorCode());
            System.out.println(e.getMessage());
            System.out.println(e.getShowMessage());
            System.out.println(e.getCause().getMessage());
            Trace.logError("LifeAction", "短信信息获取异常", e);
            throw e;
        }
    }

    public void getMessage(Context context) throws TranFailException {
        try {
            String messageType = (String) context.getDataValue(this.typeField);
            String bsnCode = (String) context.getDataValue(this.businessCode);
            if (!"".equals(messageType)) {
                String normalContent = MessageFormatter.getMessage(bsnCode, messageType, "ZH_CN", context);
                context.put(this.resultMessageField, normalContent);
                return;
            }
            throw new TranFailException("EBIM9923", "通知信息获取失败！");
        } catch (Exception e) {
            Trace.logError("LifeAction", "短信信息获取异常", e);
            throw new TranFailException(e);
        }
    }
}
